#!/usr/bin/python

'''
   File name: RulesNgn.py
   Author: Wayne Parham
   Date created: 03/01/2018
'''


from RulesLib import *


if( len(sys.argv) == 2 ):
   rulesfile = sys.argv[-1]
   if( (rulesfile.find("/") == -1) and (rulesfile.find("\\") == -1) ):
      if not os.path.isfile( rulesfile ):
         rulesfile = datadir + "/" + rulesfile
   runRules( rulesfile )
elif( len(sys.argv) == 1 ):
   for csvfile in os.listdir(datadir):
      if ( csvfile.endswith(rules_identifier) ):
         rulesfile = datadir + "/" + csvfile
         runRules( rulesfile )
else:
   print( "\nUsage: RulesNgn.py [rulesfile]" )

