#!/usr/bin/python

'''
   File name: examine.py
   Author: Wayne Parham
   Date created: 03/14/2018
'''

import shlex, subprocess, sys

argv = sys.argv
del argv[0]

if len(argv) > 0:
   try:
      if( sys.version_info[0] < 3 ):
         command = " ".join([str(i) for i in argv])
         proc = subprocess.Popen( command, shell=True,
                                  stdout=subprocess.PIPE,
                                  stderr=subprocess.PIPE,
                                  bufsize = 1)
      else:
         proc = subprocess.Popen( argv, shell=True,
                                  stdout=subprocess.PIPE,
                                  stderr=subprocess.PIPE,
                                  bufsize=1)
      (output, err) = proc.communicate()
      retval = proc.wait()
      print( "==========> stdout:" )
      print( output )
      print( "==========> stderr:" )
      print( err )
      print( "==========> retval:" )
      print( str(retval) )
   except OSError:
      retval = -1
      print( "==> ERROR: Invalid command.  Syntax error or invalid program name." )

